#ifndef __TEXT_H__
#define __TEXT_H__
/*
	devhook launcher text string
*/

/****************************************************************************
	position
****************************************************************************/

#define CONSOLE_WIDTH  96
#define CONSOLE_HEIGHT 27

#define CENTER_X(S) ((CONSOLE_WIDTH-strlen(S))/2)

/****************************************************************************
	fep_gui.c
****************************************************************************/

#define STR_TITLE "PSP DEVHOOK Ver.0.4X by BOOSTER / launcher modified by mok"

/*************************************
  top menu
*************************************/
#define STR_TOPMENU  "snoj["

#define STR_TM_START   "N             "
#define STR_TM_UMDS    "tlcI       "
#define STR_TM_FIRM    "evo[W   "
#define STR_TM_CLK     "CPUNbN      "
#define STR_TM_BOOT    "u[g[h     "
#define STR_TM_FLASH   "FlasheiX"
#define STR_TM_OTHER   "̑̃j[ "
#define STR_TM_EXIT    "devhookI    "

#define STR_TG_XMB   "wlaċN           "
#define STR_TG_UMD   "tlcċN(1.50̂) "
#define STR_TG_LOAD  "tlc[h(1.50̂) "
#define STR_TG_MPHGL "MPHGLs(1.50̂)      "
#define STR_TG_RUMD  "RunUMDs(1.50̂)     "

#define STR_UM_ANYUMD  "C[W{Cӂ̂tlc "
#define STR_UM_NOUMD   "C[Ŵ(1.50̂) "
#define STR_UMD_DISC   "tlcfBXNgp"

#define STR_VM_NOCHANGE "ύX    "
#define STR_VM_2XX200   "2.xx  2.00"

#define STR_CK_NORMAL "   ύX   "

#define STR_BM_XMB "XMBċN"
#define STR_BM_UMD "UMDċN"
#define STR_BM_MS  "MS ċN"
#define STR_BM_RUN "ڎs "

/*************************************
  other menu
*************************************/

#define STR_OM_UMDVER  "tlco[W"
#define STR_OM_REMOTE  "R[q    "
#define STR_OM_PRELOAD "[hAhX  "
#define STR_OM_RETURN  "snoj[  "

#define STR_RC_REMOTE "Rgp         "
#define STR_RC_KPRINT "Kprintfo(115Kbps) "

#define STR_F1_INST    "flash1: < ms0: ݒCXg["
#define STR_F1_BACKUP  "flash1: > ms0: ݒobNAbv"
#define STR_F1_CLEAN   "flash1: devhookpSt@C폜"
#define STR_F0_FONT    "flash0: tHgCXg[   "
#define STR_F0_KDRES   "flash0: kd/resourceCXg["
#define STR_F0_CLEAN   "flash0: devhookpSt@C폜"

/*************************************
  information
*************************************/

#define STR_BAT_NOCONNECT "ڑ"
#define STR_BAT_UNKLNOWN  "s %08X"

#define STR_STS_TARGET  "N  :%s (%s)"
#define STR_STS_UMDISO  "UMD-FILE:%s"
#define STR_STS_UMDMODE "UMD-MODE:%s,Ver.%s"
#define STR_STS_FLASH   "FW path :%s(%s)"
#define STR_STS_CLOCK   "NbN:%03d/%03d"
#define STR_STS_REMOTE  "R:%s"
#define STR_STS_PREADDR "AhX:%X"

#define STR_STS_DHVER   "DH Ver. :%X.%02X.%04X"
#define STR_STS_FWVER   "FW ver. :%X.%02X.%04X"
#define STR_STS_BATTERY "dr    :%s"

#define STR_STS_KEYS    "FI     FLZ   HOME{L/RFISO؂芷 (XMB̎)"

/*************************************
  message
*************************************/

#define STR_AUTORUN_WAIT  "%2dbɎN܂BƐݒ胁j[J܂"
#define STR_AUTORUN       "              devhookNĂ܂                    "

/****************************************************************************
	dh_load.c
****************************************************************************/

/****************************************************************************
	dh_inst.c
****************************************************************************/

#define STR_FLASH0_INST_MSG "flash0:ɂ'%s'CXg[ςłB\n"
#define STR_FLASH0_NONE_MSG "flash0:ɂ̓CXg[Ă܂B\n"
#define STR_FLASH1_INST_MSG "flash1:ɂ'%s'CXg[ςłB\n"
#define STR_FLASH1_NONE_MSG "flash1:ɂ̓CXg[Ă܂B\n"

#define STR_FLASH_DUP_WARNING "\n\
flash0:flash1:ɂ́AP̃t@[EFAo[WCXg[ł܂B\n\
قȂo[W̃t@CCXg[ĂꍇAɍ폜Kv܂B\n"

#define STR_FLASH0_WARNING "\
̑flash0:foCX܂B\n\
flash0:PSP̒ʏ퓮ŏsȂfoCXPSP̋NɕKvȏ񂪋L^Ă܂B\n\
flash0:̑ɎsƁAPSPNȂȂ댯ANȂȂPSP\n\
[J[CsȂƉ񕜂ȂȂ܂B\n\
Kt@[EFAo[W͖1.50݂̂łB\n\
Ɠrœd؂Ȃ悤ɂ`bR[hƃobe̗ڑāAƏI܂łorȏ\n\
؍sȂŉB\n\
\n\
ƂJnꍇ́A{^TbԉĉB\n\
Ƃ𒆎~ꍇ͑̃{^ĉB\n"

#define STR_FLASH1_WARNING "\
̑flash1:foCX܂B\n\
flash1:PSP̒ʏ퓮ŏsfoCXłAFATGAꂽAregistryt@C\n\
Ԃŋ󂫃GAȂȂǁAregistryt@C̍쐬oȂȂPSPJԂ\n\
悤ɂȂ܂B̏ԂɂȂƖPSPł̓[J[CsȂƉ񕜂܂B\n\
Ɠrœd؂Ȃ悤ɂ`bR[hƃobe̗ڑāAƏI܂PSP̑\n\
؍sȂŉ\n\
\n\
ƂJnꍇ́A{^PbԉĉB\n\
Ƃ𒆎~ꍇ͑̃{^ĉB\n"

#define STR_FLASH_NO_WARNING "\
̑ł͓FlashROMւ݂͍̏s܂B\n\
ƂJnꍇ́A{^PbԉĉB\n\
Ƃ𒆎~ꍇ͑̃{^ĉB\n"

#define STR_FLASH1_BACKUP  "'%s''%s'\nݒt@CobNAbv܂B"
#define STR_FLASH1_WORK    "'%s''%s'\nݒt@CCXg[܂B"
#define STR_FLASH1_CLEANUP "'%s%s'\nݒt@C폜܂B"

#define STR_FLASH0_FONT    "'%s''%s'\ntHgCXg[܂B"
#define STR_FLASH0_KDRES   "'%s''%s'\nkd/rsourceɃe[uCXg[܂B(for Korean(949) char set)"
#define STR_FLASH0_CLEANUP "'%s%s'\ndevhookpt@C폜܂B"

#define STR_FLASH_CANCEL "𒆎~܂B\n"
#define STR_FLASH_DONE "Ȃɂ{^Ɩ߂܂B\n"

#endif
